Package org.jacoco.core.internal.instr

## Class SignatureRemover

- java.lang.Object
- - org.jacoco.core.internal.instr.SignatureRemover

    public class SignatureRemover
    extends java.lang.Object

Support class to filter entries from JARs related to signatures.

### Constructor Summary

Constructors
`SignatureRemover()` Creates a new remover which is active.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `filterEntry​(java.lang.String name, java.io.InputStream in, java.io.OutputStream out)` Filters the content of the entry with the provided name if necessary.
`boolean` `removeEntry​(java.lang.String name)` Checks whether a entry with the provided name should be ignored at all.
`void` `setActive​(boolean active)` Defines whether this remover should be active.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SignatureRemover

    public SignatureRemover()

Creates a new remover which is active.

### Method Detail

#### setActive

    public void setActive​(boolean active)

Defines whether this remover should be active. If it is not active it will not remove any entries.

Parameters:
  `active` - `true` if it should remove signature related entries.

#### removeEntry

    public boolean removeEntry​(java.lang.String name)

Checks whether a entry with the provided name should be ignored at all.

Parameters:
  `name` - path name of the entry in question
Returns:
  true is the entry should be ignored

#### filterEntry

    public boolean filterEntry​(java.lang.String name,
                               java.io.InputStream in,
                               java.io.OutputStream out)
                        throws java.io.IOException

Filters the content of the entry with the provided name if necessary.

Parameters:
  `name` - path name of the entry in question
  `in` - source for the element to filter
  `out` - output for the filtered contents
Returns:
  `true` if the content was filtered
Throws:
  `java.io.IOException` - if the content can't be read or written